# -*- coding: utf-8 -*-
# @Time    : 2024/5/17
# @Author  : 魏志亮


import datetime

from base.TranseParam import TranseParam
from base.WindFarms import WindFarms
from utils.conf.read_conf import read_yaml_file

if __name__ == '__main__':
    batch_no = datetime.datetime.now().strftime("%Y%m%d%H%M")
    name = '招远'
    type = 'sec'

    yaml_datas = read_yaml_file(name, type)

    time_col = yaml_datas['time_col']
    wind_col = yaml_datas['turbine_col']
    print(wind_col)
    cols_trans_all = yaml_datas['trans_col']
    read_cols = [v for k, v in cols_trans_all.items() if v]

    zhaoyuan = WindFarms(name, batch_no=batch_no, save_path=r"/home/wzl/trans_data")

    params = TranseParam(read_type="sec", read_path=r"/home/wzl/test_data/zhaoyuan/sec",
                         read_cols=read_cols,
                         cols_tran=cols_trans_all, time_col=time_col, wind_col=wind_col)

    zhaoyuan.set_trans_param(params)
    files = zhaoyuan.run()
