# -*- coding: utf-8 -*-
# @Time    : 2024/5/16
# @Author  : 魏志亮

import logging
import os
import datetime
import sys

logger = logging.getLogger(__name__)
logger.setLevel(logging.INFO)
logger.addHandler(logging.StreamHandler(sys.stdout))

log_path = os.path.dirname(os.path.dirname(os.path.dirname(__file__))) + '/logs'
if not os.path.exists(log_path):
    os.makedirs(log_path)

file_handler = logging.FileHandler(log_path + '/dianchang_' + str(datetime.date.today()) + '.log', encoding='utf-8')
file_handler.setFormatter(logging.Formatter("%(asctime)s-%(levelname)s-%(filename)-8s:%(lineno)s: %(message)s"))
file_handler.setLevel(logging.INFO)
logger.addHandler(file_handler)


def trans_print(*args):
    logger.info((str(datetime.datetime.now())) + " ".join([str(a) for a in args]))
